<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_SESSION_INFO Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_SESSION_INFO Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ab4c6d0426f7dede81bd82715f74c2cbb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a53398953158f3b452e0513a0b78a0c5a">CK_SLOT_ID</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SESSION__INFO.html#ab4c6d0426f7dede81bd82715f74c2cbb">slotID</a></td></tr>
<tr class="separator:ab4c6d0426f7dede81bd82715f74c2cbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1940765200d80bc2f37ec2335d2ac185"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#aed206032672e4a4edcce33a364ff0445">CK_STATE</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SESSION__INFO.html#a1940765200d80bc2f37ec2335d2ac185">state</a></td></tr>
<tr class="separator:a1940765200d80bc2f37ec2335d2ac185"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab168fc251b8b32a3bb0639f4986fce1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a53850492c1ba57aca4332be791a3c6a3">CK_FLAGS</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SESSION__INFO.html#aab168fc251b8b32a3bb0639f4986fce1">flags</a></td></tr>
<tr class="separator:aab168fc251b8b32a3bb0639f4986fce1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68db637bb951d29e21f2e44639ce5017"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__SESSION__INFO.html#a68db637bb951d29e21f2e44639ce5017">ulDeviceError</a></td></tr>
<tr class="separator:a68db637bb951d29e21f2e44639ce5017"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00292">292</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="aab168fc251b8b32a3bb0639f4986fce1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab168fc251b8b32a3bb0639f4986fce1">&#9670;&nbsp;</a></span>flags</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a53850492c1ba57aca4332be791a3c6a3">CK_FLAGS</a> flags</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00295">295</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ab4c6d0426f7dede81bd82715f74c2cbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4c6d0426f7dede81bd82715f74c2cbb">&#9670;&nbsp;</a></span>slotID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a53398953158f3b452e0513a0b78a0c5a">CK_SLOT_ID</a> slotID</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00293">293</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a1940765200d80bc2f37ec2335d2ac185"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1940765200d80bc2f37ec2335d2ac185">&#9670;&nbsp;</a></span>state</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#aed206032672e4a4edcce33a364ff0445">CK_STATE</a> state</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00294">294</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a68db637bb951d29e21f2e44639ce5017"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68db637bb951d29e21f2e44639ce5017">&#9670;&nbsp;</a></span>ulDeviceError</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a35181858a3b7a0a81f49d180d8f446ef">CK_ULONG</a> ulDeviceError</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l00299">299</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
